*==============================================================================
* Program:				AUDITFORMS.PRG
* Purpose:				Find the class of each form in a folder
* From:				    Practical Tips for Working with Existing Code
* Copyright:			(c) 2007 Tamar E. Granor, Ph.D.
* Last revision:		03/21/07
*==============================================================================
* Find out where the forms come from

LOCAL aForms[1], nFormCount, nForm

CREATE CURSOR FormClasses (mFile M, mClass M, mClassLib M)

nFormCount = ADIR(aForms, "*.scx")

SELECT 0
FOR nForm = 1 TO nFormCount
	USE (aForms[nForm, 1]) ALIAS __Form
	GO 3
	DO WHILE NOT (UPPER(__Form.BaseClass)=="FORM")
		SKIP
	ENDDO
	
	INSERT INTO FormClasses VALUES (aForms[nForm, 1], __Form.Class, __Form.ClassLoc)
	USE IN __Form
ENDFOR
